package com.artisanic.helper.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "801896DDD45E3B3004043EF828133512"
        const val TOP_ON_AD_TOW = "03078FC50CF9C092439E85B445529012"
        const val TOP_ON_AD_THREE = "B6B27D8BF5E2C3099548D1EDA0B18F12"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}